#include <math.h>
#include <stdio.h>

int main() {
  int N, Q, l, r;
  scanf("%d", &N);
  int niz[N], pom[Q];
  for (int i = 0; i < N; i++) {
    scanf("%d", &niz[i]);
  }
  scanf("%d", &Q);
  for (int i = 0; i < Q; i++) {
    scanf("%d%d", &l, &r);
    int br = 0;
    for (int j = l - 1; j < r - 1; j += 2) {
      if (j == l - 1) {
        if (niz[j + 1] < niz[j]) {
          br++;
        }
      } else if (j == r - 1) {
        if (niz[j - 1] > niz[j]) {
          br++;
        }
      } else {
        if (niz[j - 1] > niz[j]) {
          br++;
        }
        if (niz[j + 1] < niz[j]) {
          br++;
        }
      }
      if (br > 1) {
        printf("NE\n");
        break;
      }
    }
    if (br <= 1)
      printf("DA\n");
  }
  return 0;
}